/* =========================
   1. ROOT VARIABLES
========================= */

:root {

   /* Colors */
   --primary-color: #e3e9d8;
   --secondary-color: #fdfaf1;

   --heading-color: #1F1F1F;
   --text-color: #666666;

   --white-color: #FFFFFF;
   --light-bg: #fdfaf1;
   --border-color: #EAEAEA;

   --footer-bg: #111111;

   --button-color: #70a309;
   --button-hover-color: #5d8907;

   --link-hover-color: #70a309;

   /* Typography */
   --heading-font: 'Cormorant Garamond', serif;
   --body-font: 'Inter', sans-serif;

   /* Font Sizes */
   --h1-size: 64px;
   --h2-size: 48px;
   --h3-size: 32px;
   --h4-size: 24px;

   --body-size: 16px;

   /* Spacing */
   --section-padding: 80px;
   --container-width: 1200px;

   /* Border Radius */
   --border-radius: 5px;

   /* Transition */
   --transition: all 0.3s ease;
}

/* =========================
   2. GLOBAL STYLES
========================= */

body{
   font-family: var(--body-font);
   font-size: var(--body-size);
   color: var(--text-color);
   /*background: var(--white-color);*/
   line-height: 1.8;
}

/* =========================
   3. HEADINGS
========================= */

h1,h2,h3,h4,h5,h6{
   font-family: var(--heading-font);
   color: var(--heading-color);
   margin-bottom: 20px;
}

h1{
   font-size: var(--h1-size);
}

h2{
   font-size: var(--h2-size);
}

h3{
   font-size: var(--h3-size);
}

h3{
   font-size: var(--h4-size);
}

/* =========================
   4. BUTTONS
========================= */

.btn-custom{
   background: var(--button-color);
   color: var(--white-color);
   /*padding: 12px 30px;
   border-radius: var(--border-radius);
   text-decoration: none; */
   transition: var(--transition);
   display: inline-block;
}

.btn-custom:hover{
   background: var(--button-hover-color);
   color: var(--white-color);
}

.custom-outline-btn{
   border: 1px solid var(--button-color);
   color: var(--button-color);
   /*padding: 12px 30px;
   border-radius: var(--border-radius);
   text-decoration: none; */
   /*transition: var(--transition);*/
   display: inline-block;
}

.custom-outline-btn:hover{
   background: var(--button-hover-color);
   border: 1px solid var(--button-hover-color);
   color: var(--white-color);
}

/* =========================
   5. SECTIONS
========================= */

.section{
   padding: var(--section-padding) 0;
}

.light-section{
  
   background: var(--secondary-color);
}

/* =========================
   . HERO SECTIONS
========================= */

.banner{
    background:
      /*linear-gradient(rgba(0,0,0,0.2), rgba(0,0,0,0.2)),*/
      url('/assets/images/About-Hero-BG.jpg') center/cover no-repeat;
    height: 100vh;
}

.banner-services{
    background:
      /*linear-gradient(rgba(0,0,0,0.2), rgba(0,0,0,0.2)),*/
      url('/assets/images/Services-Hero-BG-1.jpg') center/cover no-repeat;
    height: 100vh;
}

.bg-image{
   

    background: url('/assets/images/Contact-Hero-BG-1.jpg');
    background-size: cover;        /* makes image cover full screen */
    background-position: center;   /* centers image */
    background-repeat: no-repeat;  /* prevents repeating */
    min-height: 100vh;             /* full screen height */
    
}



/* =========================
   6. CONTAINER
========================= */

container{
   width: 100%;
   max-width: var(--container-width);
   margin: auto;
   padding: 0 15px;
}

.primary-container{
   background: var(--primary-color);
}

.secondary-container{
   background: var(--secondary-color);
}

/* =========================
   7. NAVBAR
========================= */

.navbar{
   background: var(--secondary-color);
   border-bottom: 1px solid var(--border-color);
}

.navbar-brand img{
    width: 125px;
    height: 27px;
}

.navbar .nav-link{
   color: var(--heading-color);
   text-decoration: none;   
}

.navbar .nav-link:hover,
.navbar .nav-link.active{
    color: var(--button-hover-color);
}


/* =========================
   7. NAVBAR-TOGGLER
========================= */


.navbar-toggler{
    border: none;
    box-shadow: none !important;
}

.navbar-toggler:focus{
    box-shadow: none;
}

.navbar-toggler-icon{
    background-image: none;
    position: relative;
    width: 24px;
    height: 2px;
    background-color: #70a309;
    display: inline-block;
    transition: all 0.3s ease;
}

.navbar-toggler-icon::before,
.navbar-toggler-icon::after{

    content: "";

    position: absolute;

    width: 24px;
    height: 2px;

    background-color: #70a309;

    left: 0;

    transition: all 0.3s ease;
}

.navbar-toggler-icon::before{
    top: -7px;
}

.navbar-toggler-icon::after{
    top: 7px;
}

/* Cross Icon */

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon{

    background-color: transparent;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::before{

    transform: rotate(45deg);
    top: 0;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::after{

    transform: rotate(-45deg);
    top: 0;
}



/* =========================
   8. FOOTER
========================= */

.footer-logo{
    width: 127px;
    height: 27px;
}


.footer-nav-item .nav-link{
    color: var(--heading-color);
    font-size: 17px;
}

.footer-nav-item a:hover,
.footer-nav-item a:active{
    color: var(--link-hover-color);
}

.social-icons a{
   color: var(--link-hover-color);
   font-size: 18px;
}

.social-icons a:hover{
   color: var(--heading-color);
}

/* =========================
   contact page
========================= */

.contact-icons a{
   color: var(--heading-color);
   font-size: 18px;
}

.contact-icons a:hover{
   color: var(--link-hover-color);
}


/* =========================
   8. carousel over lay
========================= */

.carousel-item {
    position: relative;
    height: 100vh;
}

.carousel-item img {
    height: 100%;
    object-fit: cover;
}

/* Overlay */
.carousel-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
}

/* Keep text above overlay */
.carousel-caption {
    top: 0;
    bottom: 0;
    z-index: 2;
}